> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the Fan Mode Setting

> Sets the [fan mode setting](https://docs.seam.co/capability-guides/thermostats/configure-current-climate-settings#fan-mode-settings) for a specified [thermostat](https://docs.seam.co/capability-guides/thermostats).



## OpenAPI

````yaml /openapi.json post /thermostats/set_fan_mode
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/set_fan_mode:
    post:
      tags:
        - /thermostats
      summary: Set the Fan Mode Setting
      description: >-
        Sets the [fan mode
        setting](https://docs.seam.co/capability-guides/thermostats/configure-current-climate-settings#fan-mode-settings)
        for a specified
        [thermostat](https://docs.seam.co/capability-guides/thermostats).
      operationId: thermostatsSetFanModePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: >-
                    ID of the thermostat device for which you want to set the
                    fan mode.
                  format: uuid
                  type: string
                fan_mode:
                  deprecated: true
                  enum:
                    - auto
                    - 'on'
                    - circulate
                  type: string
                  x-deprecated: Use `fan_mode_setting` instead.
                fan_mode_setting:
                  description: >-
                    [Fan mode
                    setting](https://docs.seam.co/capability-guides/thermostats/configure-current-climate-settings#fan-mode-settings)
                    that you want to set for the thermostat.
                  enum:
                    - auto
                    - 'on'
                    - circulate
                  type: string
                sync:
                  default: false
                  type: boolean
                  x-undocumented: Only used internally.
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - SET_FAN_MODE
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.setFanMode({
              device_id: "363e657e-3b07-4670-a290-7fb1f32b8e33",
              fan_mode_setting: "auto",
            });

            /*
            {
              "action_attempt_id": "2a3b4c5d-6e7f-8a9b-acbd-1e2f3a4b5c6d",
              "action_type": "SET_FAN_MODE",
              "error": null,
              "result": {},
              "status": "success"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/set_fan_mode" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "363e657e-3b07-4670-a290-7fb1f32b8e33",
              "fan_mode_setting": "auto"
            }

            EOF


            # Response:

            # {

            #   "action_attempt": {

            #     "action_attempt_id": "2a3b4c5d-6e7f-8a9b-acbd-1e2f3a4b5c6d",

            #     "action_type": "SET_FAN_MODE",

            #     "error": null,

            #     "result": {},

            #     "status": "success"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.set_fan_mode(
                device_id="363e657e-3b07-4670-a290-7fb1f32b8e33", fan_mode_setting="auto"
            )

            # ActionAttempt(
                action_attempt_id="2a3b4c5d-6e7f-8a9b-acbd-1e2f3a4b5c6d",
                action_type="SET_FAN_MODE",
                error=None,
                result={},
                status="success",
            )
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.thermostats.set_fan_mode(
              device_id: "363e657e-3b07-4670-a290-7fb1f32b8e33",
              fan_mode_setting: "auto",
            )

            # => {
              "action_attempt_id" => "2a3b4c5d-6e7f-8a9b-acbd-1e2f3a4b5c6d",
              "action_type" => "SET_FAN_MODE",
              "error" => nil,
              "result" => {
              },
              "status" => "success",
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->set_fan_mode(
                device_id: "363e657e-3b07-4670-a290-7fb1f32b8e33",
                fan_mode_setting: "auto",
            );

            // [
                "action_attempt_id" => "2a3b4c5d-6e7f-8a9b-acbd-1e2f3a4b5c6d",
                "action_type" => "SET_FAN_MODE",
                "error" => null,
                "result" => [],
                "status" => "success",
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats set-fan-mode --device_id
            "363e657e-3b07-4670-a290-7fb1f32b8e33" --fan_mode_setting "auto"


            # {

            #   "action_attempt_id": "2a3b4c5d-6e7f-8a9b-acbd-1e2f3a4b5c6d",

            #   "action_type": "SET_FAN_MODE",

            #   "error": null,

            #   "result": {},

            #   "status": "success"

            # }
components:
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````